=== debian/changelog ===
warzone2100 (3.1~rc2-1ubuntu3) trusty; urgency=low

  * Use autotools-dev helper for newer arches, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 20 Mar 2014 13:15:07 -0400

warzone2100 (3.1~rc2-1ubuntu2) trusty; urgency=medium

  * Rebuild against glew 1.10.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Jan 2014 00:57:09 +0000

warzone2100 (3.1~rc2-1ubuntu1) quantal; urgency=low

  * Resynchronize with Debian.
    - New upstream bugfix release. See http://www.wz2100.net/news/9893
      for more details.
  * Remaining change:
    - d/patches/miniupnpc8-compat.patch: Port usage of miniupnpc API 
      to version 1.6.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 09 Sep 2012 16:07:03 -0400

warzone2100 (3.1~rc2-1) experimental; urgency=low

  * New upstream release candidate
    - Includes FTBFS patch, drop it

 -- Paul Wise <pabs@debian.org>  Fri, 24 Aug 2012 09:08:30 +0800
