=== debian/changelog ===
warzone2100 (3.1.1-3) unstable; urgency=medium

  * Team upload.
  * Rebase fix-yacc patch.
  * Add redefinition-FTBFS.patch
    Adjust lexer files to prevent a FTBFS with newer flex versions.
    (Closes: #818072)
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Browser: Use https.
  * debian/control: Change Recommends: warzone2100 to Suggests.
  * Drop debug package and use the automatically provided -dbgsym package
    instead.
  * Fix Lintian warnings space-in-std-shortname-in-dep5-copyright,
    unused-file-paragraph-in-dep5-copyright and
    wildcard-matches-nothing-in-dep5-copyright in debian/copyright.

 -- Markus Koschany <apo@debian.org>  Sun, 01 May 2016 16:31:18 +0200

warzone2100 (3.1.1-2) unstable; urgency=medium

  * Fix FTBFS with GLEW 1.12 using upstream patch (Closes: #790857)

 -- Paul Wise <pabs@debian.org>  Thu, 01 Oct 2015 12:51:07 +0200

warzone2100 (3.1.1-1) unstable; urgency=low

  [ Paul Wise ]
  * New upstream release (Closes: #714687)
  * Bump Standards-Version, no changes needed
  * Ancient dpkg-dev dep is satisfied in all Debian/Ubuntu releases, drop it
  * Delete more generated files so that they get rebuilt
  * Add some DEP-3 headers to the patches
  * Build the Debian menu XPM files from upstream icons
  * Move to unstable

  [ Clint Adams ]
  * Build-depend on automake1.11.
  * Patch to build with newer bison and such.

 -- Paul Wise <pabs@debian.org>  Sun, 26 Oct 2014 10:11:40 +0800

warzone2100 (3.1~beta11-3) unstable; urgency=medium

  * Allow building with newer miniupnpc (Closes: #751229)

 -- Paul Wise <pabs@debian.org>  Mon, 07 Jul 2014 12:52:37 +0800

warzone2100 (3.1~beta11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/miniupnpc8-compat.patch: Apply patch from James Page
    to fix compilation against miniupnpc 1.6. (Closes: #651309)
  * debian/control: Bump B-D on libminiupnpc-dev to >= 1.6 since the patch
    makes it incompatible with older versions.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 15 Jan 2014 22:18:01 +0100
