=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: warzone2100
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Paul Wise <pabs@debian.org>,
  Christoph Egger <christoph@debian.org>
 Build-Depends:
  asciidoc,
+ automake1.11,
  autotools-dev,
  bison,
  debhelper (>= 9),
  dh-autoreconf,
  docbook-xml,
  docbook-xsl,
- dpkg-dev (>= 1.13.19),
  flex (>= 2.5.33~),
  flex (>= 2.5.35~) | flex (<< 2.5.34~),
+ icoutils,
+ imagemagick,
  libfontconfig-dev,
  libfreetype6-dev,
  libfribidi-dev,
@@ -40,10 +41,10 @@
  xsltproc,
  xvfb,
  zip
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Homepage: http://www.wz2100.net/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/warzone2100/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/warzone2100/
+Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/warzone2100/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/warzone2100/
 
 Package: warzone2100
 Architecture: any
@@ -77,7 +78,7 @@
 Architecture: all
 Depends:
  ${misc:Depends}
-Recommends:
+Suggests:
  warzone2100
 Description: data files for warzone2100
  This package contains data, docs and translations for the warzone2100 game.
@@ -86,25 +87,11 @@
  a more advanced AI, different terrain textures, new maps and scavengers)
  and documentation for the game.
 
-Package: warzone2100-dbg
-Section: debug
-Architecture: any
-Priority: extra
-Depends:
- warzone2100 (= ${binary:Version}),
- ${misc:Depends}
-Description: debug files for warzone2100
- This package contains debug information for the warzone2100 game.
- .
- It can be used to debug warzone2100 using GDB if the game crashes
- due to programming errors. warzone2100 also generates crash dumps
- and places them in the /tmp directory.
-
 Package: warzone2100-music
 Architecture: all
 Depends:
  ${misc:Depends}
-Recommends:
+Suggests:
  warzone2100
 Description: official music for warzone2100
  This package contains official music for the warzone2100 game.
