## warzone2100 3.2.1

=== pkg/dpkg/videos/Makefile ===
SEQS=sequences.wz
DESTDIR=debian/warzone2100-video

install: $(SEQS)
	install -m 0644 -D $(SEQS) ${DESTDIR}/usr/share/games/warzone2100/$(SEQS)
