=== debian/changelog ===
warzone2100 (3.2.1-2) unstable; urgency=medium

  * Team upload.
  * Add openssl-1.1.patch and fix FTBFS with OpenSSL 1.1. (Closes: #844870)
  * Fix Lintian warning space-in-std-shortname-in-dep5-copyright.
  * Really use compat level 10.

 -- Markus Koschany <apo@debian.org>  Mon, 28 Nov 2016 20:51:47 +0100

warzone2100 (3.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Russell Coker ]
  * New upstream version 3.2.1. (Closes: #814248)
  * Build-depend on qtbase5-dev qtscript5-dev libsdl2-dev instead of
    libqt4-dev.
  * Patch for too many parameters for upnpDiscover() to fix a FTBFS.
  * Change patches to apply to latest upstream.
  * Update revert-372eff6693e633e8d0d1d0b8a9ceb996a5c3f49f.patch and call
    automake1.11 directly. (Closes: #824011)

  [ Markus Koschany ]
  * Add missing libssl-dev to Build-Depends.
  * Disable the tests by overriding dh_auto_test and work around a FTBFS.
  * Use compat level 10.
  * d/rules: Pass --with-appdatadir option to dh_auto_configure.
  * Add appdata.patch and install the missing appdata file.
  * Remove libsdl1.2-dev from B-D.
  * Use embedded version of glm to build the game because Debian's version
    causes graphical glitches (rotating units). It also does not provide a
    shared library which might cause further work in the future.
  * Update debian/copyright for new release.
  * Update debian/clean and ensure that the package can be built twice in a
    row.
  * Remove wkhtmltopdf from Build-Depends and add quickstartguide.patch for now
    because building the pdf documentation from source is causing a FTBFS at the
    moment.
  * d/rules: Replace --disable-debug with --enable-debug=no. The former option
    did nothing.

 -- Markus Koschany <apo@debian.org>  Tue, 20 Sep 2016 20:34:59 +0200
