## warzone2100 3.2.1.1+rb2

=== debian/changelog ===
warzone2100 (3.2.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Games Team <pkg-games-devel@lists.alioth.debian.org>  Fri, 29 Jan 2021 11:17:37 +0800

warzone2100 (3.2.1-3+deb10u1) buster; urgency=medium

  * Team upload.
  * Move the package to salsa.debian.org.
  * Fix segmentation fault upon multiplayer "Start Hosting Game"
  * add include QList list
    Thanks to Phil Morrell for the report and Bernhard Übelacker for the patch.
    (Closes: #930942)

 -- Markus Koschany <apo@debian.org>  Sat, 20 Jul 2019 22:24:55 +0200

warzone2100 (3.2.1-3) unstable; urgency=medium

  * Team upload.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Drop obsolete menu file and xpm icons. Remove imagemagick from B-D.
  * Fix build with miniupnpc API 16.
    Thanks to Peter Michael Green for the patch. (Closes: #889059)

 -- Markus Koschany <apo@debian.org>  Sat, 24 Feb 2018 00:51:59 +0100
