=== debian/control ===
--- 
+++ 
@@ -8,16 +8,13 @@
 Build-Depends:
  asciidoc,
  automake1.11,
- autotools-dev,
  bison,
- debhelper (>= 10),
- dh-autoreconf,
+ debhelper (>= 11),
  docbook-xml,
  docbook-xsl,
  flex (>= 2.5.33~),
  flex (>= 2.5.35~) | flex (<< 2.5.34~),
  icoutils,
- imagemagick,
  libfontconfig-dev,
  libfreetype6-dev,
  libfribidi-dev,
@@ -42,10 +39,10 @@
  xsltproc,
  xvfb,
  zip
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://www.wz2100.net/
-Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/warzone2100/
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/warzone2100/
+Vcs-Git: https://salsa.debian.org/games-team/warzone2100.git
+Vcs-Browser: https://salsa.debian.org/games-team/warzone2100
 
 Package: warzone2100
 Architecture: any
